package com.liquidnet.service.smile.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author liquidnet
 * @since 2022-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SmileAgent implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 演出id
     */
    private String performanceId;

    /**
     * 票id
     */
    private String ticketId;


    /**
     * 总代票提
     */
    private BigDecimal totalCarry;

    /**
     * 普代票提
     */
    private BigDecimal ordCarry;

    /**
     * 上下架 0：下架，1：上架
     */
    private Integer type;

    /**
     * 删除标识 0未删除1已删除
     */
    private Integer delTag;

    public BigDecimal getTotalCarry() {
        return totalCarry;
    }

    public BigDecimal getOrdCarry() {
        return ordCarry;
    }

    private static final SmileAgent obj = new SmileAgent();

    public static SmileAgent getNew() {
        try {
            return (SmileAgent) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SmileAgent();
        }
    }
}
